body {
    text-align: center;
}

.blueText {
    color: #056EF5;
    font-weight: bold;
}

.redText {
    color: #F53B3B;
    font-weight: bold;
}

.purpleText {
    color: #BC61F9;
    font-weight: bold;
}

.node circle {
    fill: #fff;
    stroke: steelblue;

}

.node text {
    font: 14px sans-serif;
    stroke: black;
    stroke-width: 0.5px;
}

.markedControl {
    fill: #4EC1D0 !important;
}

.link {
    fill: none;
    stroke: #ccc;
    stroke-width: 2px;
}

.coloredLink {
    stroke: #C87DFB !important;
}

.cycledLink {
    stroke: red;
}

.hiddenText {
    display: none;
}

.markedCircle {
    fill: yellow !important;
}

.duplicateNodes {
    fill: #BC61F9 !important;
    stroke: #BC61F9 !important;
}

.duplicateNodes.origin {
    stroke-width: 10px !important;
}

.moduleFieldBlock, .findFieldBlock, .moduleParentBlock {
    position: fixed;
}

.inheritInput {
    position: inherit;
    left: 10px;
    width: 300px;
    padding: 2px;
    border-radius: 2px;
    border: 2px solid rgb(48, 139, 183);
}

#moduleFieldText {
    top: 30px;
    width: 292px
}
#moduleField {
    top: 60px;
}

.findField {
    left: 350px;
}
#findField {
    top: 60px;
}
#findFieldText {
    width: 292px;
    top: 30px;
}

.moduleParent {
    top: 120px;
    width: 292px
}
#moduleParentCheckBox {
    float: left;
    margin-top: 5px;
}

.nodeToDelete {
    fill: #000 !important;
    stroke: #BC61F9 !important;
}

.context-menu {
    width: 200px;
    position: absolute; /* Задаем абсолютное позиционирование для нашего меню */
    display: none; /* Изначально не показываем его */
    background-color: #fff; /* Цвет фона меню */
    border: 1px solid #333; /* Граница */
    border-radius: 2px;
}

/* Добавляем стили для списка которые будет находиться внутри меню и, собственно, содержать его пункты: */
.context-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.context-menu ul li {
    margin: 0;
    padding: 5px;
    background-color: #fff;
    display: block;
}

.context-menu ul li:hover {
    cursor: pointer;
    background: #8ed5f7;
}

.context-menu ul li.disabled:hover {
    cursor: default;
    background: #bbb;
}

.copied-module-field {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.copied-module-field textarea {
    width: 1px;
    height: 1px;
}

span {
    font-size: 14px;
    color: #308BB7;
    font-weight: bold
}

#InfoPanel {
    position: fixed;
    right: 0;
    width: 500px;
    height: 100%;
    top: 0;
    background: whitesmoke;
}

svg {
    margin-top: 50px;
}